<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()">
  <div class="toolbar-wrapper-with-role">
    <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                    (backToDetailChange)="backToDetail()"
                                    (editChange)="edit()"
                                    [currentModel]="currentObs | async"
                                    [deleteAvailable]="deleteAvailable"
                                    [editAvailable]="currentUserIsManager | async | isTrue"
                                    [formPresentational]="formPresentational"
                                    [listExtraButtons]="listExtraButtons"
                                    [mode]="isEdit ? 'edit' : 'detail'"
                                    [solidifyFocusFirstElement]="true"
    >
    </solidify-button-toolbar-detail>
    <dlcm-shared-resource-role-member-container *ngIf="(currentObs | async) as institution"
                                                [resource]="institution"
                                                [mode]="sharedResourceRoleMemberContainerMode.institution"
                                                class="role"
    ></dlcm-shared-resource-role-member-container>
  </div>


  <div [solidifySpinner]="!isTour && (isLoadingWithDependencyObs | async)"
       class="wrapper"
  >
    <dlcm-preservation-space-institution-form #formPresentational
                                              *ngIf="isTour || (isReadyToBeDisplayedObs | async)"
                                              [editAvailable]="editAvailable"
                                              [model]="currentObs | async"
                                              [isManager]="isTour || (currentUserIsManager | async)"
                                              [isMember]="isTour || (currentUserIsMember | async)"
                                              [readonly]="!isEdit"
                                              [listRole]="listRoleObs | async"
                                              [listOrgUnits]="selectedOrgUnitsObs | async"
                                              [selectedPersonRole]="selectedPersonRoleObs | async"
                                              (checkAvailableChange)="checkAvailable($event)"
                                              (dirtyChange)="updateCanDeactivate($event)"
                                              (editChange)="edit()"
                                              (submitChange)="update($event)"
                                              (navigate)="navigate($event)"
    ></dlcm-preservation-space-institution-form>
  </div>
</solidify-empty-container>

<router-outlet></router-outlet>
